New requirement for Google Play.

The place to discuss anything and everything about running your LiveCode on Android

Moderators: Klaus, FourthWorld, heatherlaine, robinmiller, kevinmiller

Post Reply
lodijoe
Posts: 20
Joined: Mon Sep 23, 2013 5:20 pm

New requirement for Google Play.

Post by lodijoe » Mon Jun 24, 2019 5:15 pm

Google Play now requires that the Android build supports 9.0 and Livecode v9.50(dp 1) supports up to Android 8.
We need a Livecode update to deal with this.

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 581
Joined: Fri Feb 06, 2015 4:03 pm

Re: New requirement for Google Play.

Post by LiveCode_Panos » Tue Jun 25, 2019 10:25 am

Hello lodijoe,

Google Play store, starting from this August if I remember correctly, requires new apps to have the Android 9 in the targetSdkVersion. Note that this is different from the minimum Android version one can set in the android standalone settings. The targetSdkVersion is not settable from within LiveCode.

FYI, the new release of LC 9.5 dp2 will include support for the new requirement of Google Play store:

https://quality.livecode.com/show_bug.cgi?id=22194

Kind regards,
Panos
--

lodijoe
Posts: 20
Joined: Mon Sep 23, 2013 5:20 pm

Re: New requirement for Google Play.

Post by lodijoe » Mon Jul 01, 2019 5:36 pm

Thanks so much for the FYI!

sphere
Posts: 864
Joined: Sat Sep 27, 2014 10:32 am
Location: Earth, Except when i Jump

Re: New requirement for Google Play.

Post by sphere » Tue Jul 02, 2019 2:38 pm

@Panos

is it possible for future version to have this targetSdkVersion as settable whenever Google changes it?
Like a partly grayed out or hidden function, so you have to take a step more to change it.

regards,
Jerry
2018 Worldwide Mobile Market share: Android 84.4% !!!, iOs 15.1%, others 0.1%

jacque
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 5042
Joined: Sat Apr 08, 2006 8:31 pm
Location: Minneapolis MN
Contact:

Re: New requirement for Google Play.

Post by jacque » Tue Jul 02, 2019 5:37 pm

Ideally it would be in Android standalone settings.
Jacqueline Landman Gay | jacque at hyperactivesw dot com
HyperActive Software | http://www.hyperactivesw.com

sphere
Posts: 864
Joined: Sat Sep 27, 2014 10:32 am
Location: Earth, Except when i Jump

Re: New requirement for Google Play.

Post by sphere » Tue Jul 02, 2019 7:41 pm

jacque wrote:
Tue Jul 02, 2019 5:37 pm
Ideally it would be in Android standalone settings.
Yes, exactly. That is what i meant. thx Jacque.
2018 Worldwide Mobile Market share: Android 84.4% !!!, iOs 15.1%, others 0.1%

sphere
Posts: 864
Joined: Sat Sep 27, 2014 10:32 am
Location: Earth, Except when i Jump

Re: New requirement for Google Play.

Post by sphere » Tue Jul 02, 2019 9:00 pm

2018 Worldwide Mobile Market share: Android 84.4% !!!, iOs 15.1%, others 0.1%

Post Reply

Return to “Android Deployment”